Login
Newsletter
Werbung

Sicherheit: Mangelnde Eingabeprüfung in pdns
Aktuelle Meldungen Distributionen
Name: Mangelnde Eingabeprüfung in pdns
ID: openSUSE-SU-2019:1128-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.3, SUSE openSUSE Leap 15.0, SUSE openSUSE Backports SLE-15
Datum: Mi, 3. April 2019, 12:30
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-3871
Applikationen: PowerDNS Authoritative Server

Originalnachricht

   openSUSE Security Update: Security update for pdns
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:1128-1
Rating: important
References: #1129734
Cross-References: CVE-2019-3871
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 15.0
openSUSE Backports SLE-15
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for pdns fixes the following issue:

Security issue fixed:

- CVE-2019-3871: Fixed an insufficient validation in the HTTP remote
backend which could allow a remote user to cause the HTTP backend to
connect to an attacker-specified host instead of the configured one
(bsc#1129734).


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2019-1128=1

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-1128=1

- openSUSE Backports SLE-15:

zypper in -t patch openSUSE-2019-1128=1



Package List:

- openSUSE Leap 42.3 (x86_64):

pdns-4.0.3-18.1
pdns-backend-geoip-4.0.3-18.1
pdns-backend-geoip-debuginfo-4.0.3-18.1
pdns-backend-godbc-4.0.3-18.1
pdns-backend-godbc-debuginfo-4.0.3-18.1
pdns-backend-ldap-4.0.3-18.1
pdns-backend-ldap-debuginfo-4.0.3-18.1
pdns-backend-lua-4.0.3-18.1
pdns-backend-lua-debuginfo-4.0.3-18.1
pdns-backend-mydns-4.0.3-18.1
pdns-backend-mydns-debuginfo-4.0.3-18.1
pdns-backend-mysql-4.0.3-18.1
pdns-backend-mysql-debuginfo-4.0.3-18.1
pdns-backend-postgresql-4.0.3-18.1
pdns-backend-postgresql-debuginfo-4.0.3-18.1
pdns-backend-remote-4.0.3-18.1
pdns-backend-remote-debuginfo-4.0.3-18.1
pdns-backend-sqlite3-4.0.3-18.1
pdns-backend-sqlite3-debuginfo-4.0.3-18.1
pdns-debuginfo-4.0.3-18.1
pdns-debugsource-4.0.3-18.1

- openSUSE Leap 15.0 (x86_64):

pdns-4.1.2-lp150.3.10.1
pdns-backend-geoip-4.1.2-lp150.3.10.1
pdns-backend-geoip-debuginfo-4.1.2-lp150.3.10.1
pdns-backend-godbc-4.1.2-lp150.3.10.1
pdns-backend-godbc-debuginfo-4.1.2-lp150.3.10.1
pdns-backend-ldap-4.1.2-lp150.3.10.1
pdns-backend-ldap-debuginfo-4.1.2-lp150.3.10.1
pdns-backend-lua-4.1.2-lp150.3.10.1
pdns-backend-lua-debuginfo-4.1.2-lp150.3.10.1
pdns-backend-mydns-4.1.2-lp150.3.10.1
pdns-backend-mydns-debuginfo-4.1.2-lp150.3.10.1
pdns-backend-mysql-4.1.2-lp150.3.10.1
pdns-backend-mysql-debuginfo-4.1.2-lp150.3.10.1
pdns-backend-postgresql-4.1.2-lp150.3.10.1
pdns-backend-postgresql-debuginfo-4.1.2-lp150.3.10.1
pdns-backend-remote-4.1.2-lp150.3.10.1
pdns-backend-remote-debuginfo-4.1.2-lp150.3.10.1
pdns-backend-sqlite3-4.1.2-lp150.3.10.1
pdns-backend-sqlite3-debuginfo-4.1.2-lp150.3.10.1
pdns-debuginfo-4.1.2-lp150.3.10.1
pdns-debugsource-4.1.2-lp150.3.10.1

- openSUSE Backports SLE-15 (aarch64 ppc64le s390x x86_64):

pdns-4.1.2-bp150.2.6.1
pdns-backend-geoip-4.1.2-bp150.2.6.1
pdns-backend-godbc-4.1.2-bp150.2.6.1
pdns-backend-ldap-4.1.2-bp150.2.6.1
pdns-backend-lua-4.1.2-bp150.2.6.1
pdns-backend-mydns-4.1.2-bp150.2.6.1
pdns-backend-mysql-4.1.2-bp150.2.6.1
pdns-backend-postgresql-4.1.2-bp150.2.6.1
pdns-backend-remote-4.1.2-bp150.2.6.1
pdns-backend-sqlite3-4.1.2-bp150.2.6.1


References:

https://www.suse.com/security/cve/CVE-2019-3871.html
https://bugzilla.suse.com/1129734

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung